# Ipopt::WarmStartIterateInitializer Class Reference

Class implementing an initialization procedure for warm starts. More...

`#include <IpWarmStartIterateInitializer.hpp>`

Inheritance diagram for Ipopt::WarmStartIterateInitializer:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | SetInitialIterates ()
| Compute the initial iterates and set the into the curr field of the ip_data object.
Constructors/Destructors
| WarmStartIterateInitializer ()
| Constructor.
virtual | ~WarmStartIterateInitializer ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods used by IpoptType.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| WarmStartIterateInitializer (const WarmStartIterateInitializer &)
| Copy Constructor.
void | operator= (const WarmStartIterateInitializer &)
| Overloaded Equals Operator.
Auxilliary functions
void | process_target_mu (Number factor, const Vector &curr_vars, const Vector &curr_slacks, const Vector &curr_mults, const Matrix &P, SmartPtr< const Vector > &ret_vars, SmartPtr< const Vector > &ret_mults)
void | adapt_to_target_mu (Vector &new_s, Vector &new_z, Number target_mu)
## Private Attributes
Algorithmic Parameters
Number | warm_start_bound_push_
| Abolsute parameters for bumping x0 in warm start mode.
Number | warm_start_bound_frac_
| Relateive parameters for bumping x0 in warm start mode.
Number | warm_start_slack_bound_push_
| Abolsute parameters for bumping s0 in warm start mode.
Number | warm_start_slack_bound_frac_
| Relateive parameters for bumping s0 in warm start mode.
Number | warm_start_mult_bound_push_
| Parameters for bumping initial bound multipliers.
Number | warm_start_mult_init_max_
| Maximal size of entries in bound and equality constraint multipliers in magnitute.
Number | warm_start_target_mu_
| Target values for the barrier parameter in warm start option.
bool | warm_start_entire_iterate_
| Indicator for which method in the NLP should be used to get the warm start.

## Detailed Description

Class implementing an initialization procedure for warm starts.

Definition at line 20 of file IpWarmStartIterateInitializer.hpp.

## Constructor & Destructor Documentation

Ipopt::WarmStartIterateInitializer::WarmStartIterateInitializer | ( |  | ) |

Constructor.

virtual Ipopt::WarmStartIterateInitializer::~WarmStartIterateInitializer | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 29 of file IpWarmStartIterateInitializer.hpp.

Ipopt::WarmStartIterateInitializer::WarmStartIterateInitializer | ( | const WarmStartIterateInitializer & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::WarmStartIterateInitializer::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::IterateInitializer.

virtual bool Ipopt::WarmStartIterateInitializer::SetInitialIterates | ( |  | ) | `[virtual]`

Compute the initial iterates and set the into the curr field of the ip_data object.

Implements Ipopt::IterateInitializer.

static void Ipopt::WarmStartIterateInitializer::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods used by IpoptType.

void Ipopt::WarmStartIterateInitializer::operator= | ( | const WarmStartIterateInitializer & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::IterateInitializer.

void Ipopt::WarmStartIterateInitializer::process_target_mu | ( | Number | factor,
|  | const Vector & | curr_vars,
|  | const Vector & | curr_slacks,
|  | const Vector & | curr_mults,
|  | const Matrix & | P,
|  | SmartPtr< const Vector > & | ret_vars,
|  | SmartPtr< const Vector > & | ret_mults |
| ) |  |  | `[private]`

void Ipopt::WarmStartIterateInitializer::adapt_to_target_mu | ( | Vector & | new_s,
|  | Vector & | new_z,
|  | Number | target_mu |
| ) |  |  | `[private]`

## Member Data Documentation

Number Ipopt::WarmStartIterateInitializer::warm_start_bound_push_`[private]`

Abolsute parameters for bumping x0 in warm start mode.

Definition at line 64 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_bound_frac_`[private]`

Relateive parameters for bumping x0 in warm start mode.

Definition at line 66 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_slack_bound_push_`[private]`

Abolsute parameters for bumping s0 in warm start mode.

Definition at line 68 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_slack_bound_frac_`[private]`

Relateive parameters for bumping s0 in warm start mode.

Definition at line 70 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_mult_bound_push_`[private]`

Parameters for bumping initial bound multipliers.

Definition at line 72 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_mult_init_max_`[private]`

Maximal size of entries in bound and equality constraint multipliers in magnitute.

If chosen less of equal to zero, no upper limit is imposed. Otherwise, the entries exceeding the given limit are set to the value closest to the limit.

Definition at line 77 of file IpWarmStartIterateInitializer.hpp.

Number Ipopt::WarmStartIterateInitializer::warm_start_target_mu_`[private]`

Target values for the barrier parameter in warm start option.

Definition at line 80 of file IpWarmStartIterateInitializer.hpp.

bool Ipopt::WarmStartIterateInitializer::warm_start_entire_iterate_`[private]`

Indicator for which method in the NLP should be used to get the warm start.

Definition at line 83 of file IpWarmStartIterateInitializer.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpWarmStartIterateInitializer.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines